## live-helper 1.0~a28

=== Makefile ===
# Makefile

TRANSLATIONS="de"

all: build

test:
	set -e; for SCRIPT in functions/* examples/*/*.sh helpers/* hooks/*; \
	do \
		sh -n $$SCRIPT; \
	done

build:
	@echo "Nothing to build."

install: test
	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp helpers/lh_* helpers/make-live $(DESTDIR)/usr/bin

	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live-helper
	cp -r data examples functions hooks includes lists templates $(DESTDIR)/usr/share/live-helper

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-helper

	# Installing manpages
	set -e; for MANPAGE in manpages/*.en.1; \
	do \
		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE .en.1`.1; \
	done

	set -e; for MANPAGE in manpages/*.en.7; \
	do \
		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE .en.7`.7; \
	done

	set -e; for TRANSLATIONS in $$TRANSLATIONS; \
	do \
		for MANPAGE in manpages/*.$$TRANSLATION.1; \
		do \
			install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/`basename $$MANPAGE .$$TRANSLATION.1`.1; \
		done; \
		for MANPAGE in manpages/*.$$TRANSLATION.7; \
		do \
			install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .$$TRANSLATION.7`.7; \
		done; \
	done

	# Installing logfile
	mkdir -p $(DESTDIR)/var/log

uninstall:
	# Uninstalling executables
	for HELPER in helpers/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/`basename $$HELPER`; \
	done

	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live-helper

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-helper

	# Uninstalling manpages
	set -e; for MANPAGE in manpages/*.en.1; \
	do \
		rm -f $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE .en.1`.1; \
	done

	set -e; for MANPAGE in manpages/*.en.7; \
	do \
		rm -f $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE .en.7`.7; \
	done

	set -e; for TRANSLATIONS in $$TRANSLATIONS; \
	do \
		for MANPAGE in manpages/*.$$TRANSLATION.1; \
		do \
			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/`basename $$MANPAGE .$$TRANSLATION.1`.1; \
		done; \
		for MANPAGE in manpages/*.$$TRANSLATION.7; \
		do \
			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .de.7`.7; \
		done; \
	done

update:
	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.de.* manpages/*.en.*; \
	do \
		sed -i	-e 's/2007\\-09\\-17/2007\\-09\\-24/' \
			-e 's/17.09.2007/24.09.2007/' \
			-e 's/1.0~a28/1.0~a29/' \
		$$FILE; \
	done

clean:

distclean:

reinstall: uninstall install

## live-helper 1.0~a37

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,23 @@
 # Makefile
 
-TRANSLATIONS="de"
+#TRANSLATIONS="de"
 
 all: build
 
 test:
+	# Checking for syntax errors
 	set -e; for SCRIPT in functions/* examples/*/*.sh helpers/* hooks/*; \
 	do \
 		sh -n $$SCRIPT; \
 	done
+
+	# Checking for bashisms (temporary not failing, but only listing)
+	if [ -x /usr/bin/checkbashisms ]; \
+	then \
+		checkbashisms functions/* examples/*/*.sh helpers/* hooks/* || true; \
+	else \
+		echo "bashism test skipped - you need to install devscripts."; \
+	fi
 
 build:
 	@echo "Nothing to build."
@@ -16,7 +25,7 @@
 install: test
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	cp helpers/lh_* helpers/make-live $(DESTDIR)/usr/bin
+	cp helpers/lh* helpers/make-live $(DESTDIR)/usr/bin
 
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live-helper
@@ -91,9 +100,9 @@
 update:
 	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.de.* manpages/*.en.*; \
 	do \
-		sed -i	-e 's/2007\\-09\\-17/2007\\-09\\-24/' \
-			-e 's/17.09.2007/24.09.2007/' \
-			-e 's/1.0~a28/1.0~a29/' \
+		sed -i	-e 's/2007\\-11\\-19/2007\\-11\\-26/' \
+			-e 's/19.11.2007/26.11.2007/' \
+			-e 's/1.0~a37/1.0~a38/' \
 		$$FILE; \
 	done

## live-helper 1.0~a47

=== Makefile ===
--- 
+++ 
@@ -93,16 +93,16 @@
 		done; \
 		for MANPAGE in manpages/*.$$TRANSLATION.7; \
 		do \
-			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .de.7`.7; \
+			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .$$TRANSLATION.7`.7; \
 		done; \
 	done
 
 update:
-	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.de.* manpages/*.en.*; \
+	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.en.*; \
 	do \
-		sed -i	-e 's/2007\\-11\\-19/2007\\-11\\-26/' \
-			-e 's/19.11.2007/26.11.2007/' \
-			-e 's/1.0~a37/1.0~a38/' \
+		sed -i	-e 's/2007\\-11\\-26/2007\\-12\\-03/' \
+			-e 's/26.11.2007/03.12.2007/' \
+			-e 's/1.0~a38/1.0~a39/' \
 		$$FILE; \
 	done

## live-helper 1.0.3-2

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,15 @@
 
 test:
 	# Checking for syntax errors
-	set -e; for SCRIPT in functions/* examples/*/*.sh helpers/* hooks/*; \
+	set -e; for SCRIPT in functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
 	do \
 		sh -n $$SCRIPT; \
 	done
 
-	# Checking for bashisms (temporary not failing, but only listing)
-	if [ -x /usr/bin/checkbashisms ]; \
+	# Checking for bashisms
+	set -e; if [ -x /usr/bin/checkbashisms ]; \
 	then \
-		checkbashisms functions/* examples/*/*.sh helpers/* hooks/* || true; \
+		checkbashisms functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
 	else \
 		echo "bashism test skipped - you need to install devscripts."; \
 	fi
@@ -22,14 +22,14 @@
 build:
 	@echo "Nothing to build."
 
-install: test
+install:
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	cp helpers/lh* helpers/make-live $(DESTDIR)/usr/bin
+	cp helpers/* $(DESTDIR)/usr/bin
 
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live-helper
-	cp -r data examples functions hooks includes lists templates $(DESTDIR)/usr/share/live-helper
+	cp -r data examples functions.sh functions hooks includes lists templates $(DESTDIR)/usr/share/live-helper
 
 	# Installing documentation
 	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
@@ -77,28 +77,28 @@
 	# Uninstalling manpages
 	set -e; for MANPAGE in manpages/*.en.1; \
 	do \
-		rm -f $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE .en.1`.1; \
+		rm -f $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE .en.1`.1*; \
 	done
 
 	set -e; for MANPAGE in manpages/*.en.7; \
 	do \
-		rm -f $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE .en.7`.7; \
+		rm -f $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE .en.7`.7*; \
 	done
 
 	set -e; for TRANSLATIONS in $$TRANSLATIONS; \
 	do \
 		for MANPAGE in manpages/*.$$TRANSLATION.1; \
 		do \
-			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/`basename $$MANPAGE .$$TRANSLATION.1`.1; \
+			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/`basename $$MANPAGE .$$TRANSLATION.1`.1*; \
 		done; \
 		for MANPAGE in manpages/*.$$TRANSLATION.7; \
 		do \
-			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .$$TRANSLATION.7`.7; \
+			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/`basename $$MANPAGE .$$TRANSLATION.7`.7*; \
 		done; \
 	done
 
 update:
-	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.en.*; \
+	set -e; for FILE in functions.sh functions/*.sh examples/cron/*.sh manpages/*.en.*; \
 	do \
 		sed -i	-e 's/2007\\-11\\-26/2007\\-12\\-03/' \
 			-e 's/26.11.2007/03.12.2007/' \
@@ -111,3 +111,11 @@
 distclean:
 
 reinstall: uninstall install
+
+po4a:
+	# Automatic generation of translated manpages
+	set -e; if [ $$(which po4a) ]; then \
+	  cd manpages/ ; po4a po4a/live-helper.cfg; \
+	else \
+	  echo "Please install po4a (http://po4a.alioth.debian.org/)."; \
+	fi;

=== debian/changelog ===
live-helper (1.0.3-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Regenerationg live-helper pot file.
  * Fixing typo in changelog.
  * Correcting order of genisoimage option assembling, the exludes do have to be
    processed last.
  * Adding clean parameter to lh_config to minimize config directory by
    automatically removing unused and thus empty subdirectories.
  * Splitting out win32-loader handling into own helper script.
  * Take win32-loader from the target distribution by using the chroot.
  * Revert using debhelper 7 command in rules.
  * Prefixing debhelper files with package name.
  * Updating copyright file.
  * Cleaning up rules file.
  * Moving binary manifest to live subdirectory on the images.
  * Moving live-initramfs or casper parameter list to live subdirectory on the
    images.
  * Introducing debian-release mode.
  * Adding own iso volume when beeing in release mode.
  * Correcting typo in iso volume.
  * Including the distribution name in iso volume when being in debian mode.
  * Renaming win32-loader executable as debian-cd does.
  * Creating win32-loader.ini in win32-loader helper script.
  * Updating .disk/info generation when building iso images.
  * Updating lenny cd includes.
  * Updating install call for live-helper defaults file.
  * Updating syslinux help screens.
  * Correcting bootstrap default logic to not overwrite the 'copy' method.
  * Really correcting bootstrap default logic to not overwrite the 'copy'
    method.
  * Updating image example build script.
  * Overwriting default kernels in image autobuild script only when being on
    i386.
  * Updating binary-filesystem reference in lh_config manpage.
  * For space consideration, don't install laptop task in desktop images by
    default anymore.
  * Only enabling win32-loader by default if we also include debian-installer.

  [ Tiago Bortoletto Vaz ]
  * Updating pt_br localization (Closes: #514196).

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2009 00:00:00 +0100

live-helper (1.0.3-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Don't break messages into parts; this make it impossible for translators
  * Adding missing newlines in Echo_error
  * Not considering some strings as translatable.
  * Adding Echo function as translatable
  * Don't ask for translators to translate a bunch of asterisks
  * Removing incorrect extra argument
  * Translating the description of the helpers
  * Must be printf instead of echo!
  * Fixing message for i18n compatibility

  [ Cyril Brulebois ]
  * Get rid of MIRROR_BOOTSTRAP_SECURITY in documentation.
  * Document LH_BOOTSTRAP_FLAVOUR as empty by default.
  * Fix --apt-pdiffs disabled being ignored.
  * Make hacks not break if there are no initrds.
  * Actually fix initrd-related breakage in chroot hacks.

  [ Daniel Baumann ]
  * Adding short comments to the different cases in Check_defaults();.
  * Adding check for currently not supported bootloader/image-type combinations.
  * Unsupported bootloader/image type combinations are errors, not warning.
  * Parsing lh_config flags from config.cfg, if available.
  * If config.cfg is executable, we execute it and accept its output as extra
    arguments. This makes dynamic configuration possible.
  * Adding support for using cdebootstra-static as bootstrap program.
  * Setting default taskel program from aptitude to tasksel.
  * Correcting typo in previous aptitude->tasksel commit.
  * Updating mode help message in lh_config.
  * Adding missing --dump to help output of lh_config.
  * Making sure that /tmp has the right permissions after installing
    sun-java*-doc through sun-java example hooks. Apparently, sun-java*-doc
    packages are tampering with it.
  * Actually doing apt-ftparchive operations in chroot as it was originally
    intended to be, otherwise apt-utils would be need to be a depends of
    live-helper.
  * Adding temporary workaround to 'failed to install grub' error when using
    live-installer.
  * Removing enforced installation of mawk in the chroot in
    lh_binary_debian-installer, mawk is priority required and therefore always
    there anyway. Additionally, this would unnecessarily blow up images that
    have gawk (or any other awk implementation) installed.
  * Fixing and unifying handling of hooks.
  * Using common function file to source shell includes.
  * Updating year in copyright notices for 2009.
  * Including functions.sh, forgot to add it before.
  * Marking aufs and unionfs in devel-live packages list as lenny and sid,
    resp. etch-only.
  * Updating forensic packages in rescue list.
  * Removing vim-tiny from minimal packages list, it's not a requirement for
    live-initramfs :)
  * Correcting lh_configs config.cfg handling, so that it's at least working
    when not using config.cfg. Will have to be fixed properly later.
  * Rewriting all existent manpages.
  * Running po4a for manpages.
  * Adding simple manpages for every other live-helper command.
  * Also covering compressed manpages in uninstall target of Makefile.
  * Automatically displaying manpage when calling a helper with -h or --help.
  * Replacing previous attempt of using config.cfg, now using scripts/config.sh
    and scripts/clean.sh instead.
  * Adding dummy live-helper command to make any confused user aware that
    live-helper is a set of commands starting with the lh_ prefix.
  * Removing shell specific extensions and call of scripts/config and
    scripts/clean, thanks to Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
  * Overwriting the debootstrap or fdisk program if it is set to a value that
    is not on the host system anymore, but another alternative of it is.
  * Correcting typo for libewf in rescue list.
  * Updating name of arhive keys in image autobuild script.
  * Fixing infinit loop when using autoconfig for lh_config and lh_clean.
  * Adding autoconfig support to lh_build as well.
  * Correcting wrong logic in defaults.sh which resultet in having


=== debian/control ===
Source: live-helper
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: gettext
Standards-Version: 3.8.0
Homepage: http://debian-live.alioth.debian.org/
Vcs-Browser: http://git.debian.net/?p=debian-live/live-helper.git
Vcs-Git: git://git.debian.net/git/debian-live/live-helper.git

Package: live-helper
Architecture: all
Depends: debootstrap | cdebootstrap | cdebootstrap-static
Recommends: gettext-base
Suggests: dosfstools, genisoimage, memtest86+ | memtest86, mtools, parted, squashfs-tools | genext2fs | mtd-tools, sudo | fakeroot, syslinux | grub, uuid-runtime, win32-loader
Description: Debian Live build scripts
 live-helper is a set of scripts to build Debian Live system images.
 .
 The idea behind live-helper is a framework that uses a configuration directory
 to completely automate and customize all aspects of building a Live image.
 .
 An introduction to live-helper can be found in the live-helper(7) manpage.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot

	$(MAKE) -C po clean

	dh_clean

build:
	$(MAKE) test
	$(MAKE) -C po update-po

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/live-helper

	# Installing message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/live-helper

	install -D -m 0644 debian/live-helper.default debian/live-helper/etc/default/live-helper_autobuild

	# Preparing alternatives
	mv debian/live-helper/usr/share/live-helper/includes debian/live-helper/usr/share/live-helper/includes.debian
	mv debian/live-helper/usr/share/live-helper/templates debian/live-helper/usr/share/live-helper/templates.debian

	# Removing double files
	rm -f debian/live-helper/usr/share/doc/live-helper/COPYING
	rm -f debian/live-helper/usr/share/doc/live-helper/ChangeLog
	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.live-package debian/live-helper/usr/share/doc/live-helper/changelog.live-package

	# Installing bug control
	install -D -m 0644 debian/bug/live-helper.presubj debian/live-helper/usr/share/bug/live-helper
	install -D -m 0755 debian/bug/live-helper.script debian/live-helper/usr/share/bug/live-helper

binary: binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/ChangeLog
	dh_installdocs
	dh_installlogrotate
	dh_installcron
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build install binary binary-arch binary-indep

## live-helper 1.0.5

=== Makefile ===
# Makefile

SHELL := sh -e

#TRANSLATIONS="de"

all: test install

test:
	# Checking for syntax errors
	for SCRIPT in functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
	do \
		sh -n $$SCRIPT; \
	done

	# Checking for bashisms
	if [ -x /usr/bin/checkbashisms ]; \
	then \
		checkbashisms functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp helpers/* $(DESTDIR)/usr/bin

	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live-helper
	cp -r data examples functions.sh functions hooks includes lists templates $(DESTDIR)/usr/share/live-helper

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-helper

	# Installing manpages
	for MANPAGE in manpages/*.en.1; \
	do \
		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man1/$$(basename $$MANPAGE .en.1).1; \
	done

	for MANPAGE in manpages/*.en.7; \
	do \
		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man7/$$(basename $$MANPAGE .en.7).7; \
	done

	for TRANSLATIONS in $$TRANSLATIONS; \
	do \
		for MANPAGE in manpages/*.$$TRANSLATION.1; \
		do \
			install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/$$(basename $$MANPAGE .$$TRANSLATION.1).1; \
		done; \
		for MANPAGE in manpages/*.$$TRANSLATION.7; \
		do \
			install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/$$(basename $$MANPAGE .$$TRANSLATION.7).7; \
		done; \
	done

	# Installing logfile
	mkdir -p $(DESTDIR)/var/log

uninstall:
	# Uninstalling executables
	for HELPER in helpers/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $$HELPER); \
	done

	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live-helper

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-helper

	# Uninstalling manpages
	for MANPAGE in manpages/*.en.1; \
	do \
		rm -f $(DESTDIR)/usr/share/man/man1/$$(basename $$MANPAGE .en.1).1*; \
	done

	for MANPAGE in manpages/*.en.7; \
	do \
		rm -f $(DESTDIR)/usr/share/man/man7/$$(basename $$MANPAGE .en.7).7*; \
	done

	for TRANSLATIONS in $$TRANSLATIONS; \
	do \
		for MANPAGE in manpages/*.$$TRANSLATION.1; \
		do \
			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man1/$$(basename $$MANPAGE .$$TRANSLATION.1).1*; \
		done; \
		for MANPAGE in manpages/*.$$TRANSLATION.7; \
		do \
			rm -f $(DESTDIR)/usr/share/man/$$TRANSLATION/man7/$$(basename $$MANPAGE .$$TRANSLATION.7).7*; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

po4a:
	# Automatic generation of translated manpages
	if [ $$(which po4a) ]; \
	then \
		cd manpages; \
		po4a po4a/live-helper.cfg; \
	else \
		echo "ERROR: skipping po generation - you need to install po4a <http://po4a.alioth.debian.org/>."; \
	fi

=== po/Makefile ===
# Makefile to manage gettext files

DOMAIN=live-helper
ECHO_FUNCTIONS="Echo_message Echo_verbose Echo_warning Echo_debug Echo_error Echo_breakage Echo"

POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../helpers ../functions -type f)
POTFILE=$(DOMAIN).pot
DESTDIR=/
XGETTEXT_KEYWORDS=$(shell echo $(ECHO_FUNCTIONS) |sed -e 's,\S\+,-k&,g')

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext $(XGETTEXT_KEYWORDS) -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po: live-helper.pot
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

## live-helper 2.0~a6

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 test:
 	# Checking for syntax errors
-	for SCRIPT in functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
+	for SCRIPT in live-helper.sh functions/* examples/*/*.sh helpers/* hooks/*; \
 	do \
 		sh -n $$SCRIPT; \
 	done
@@ -16,7 +16,7 @@
 	# Checking for bashisms
 	if [ -x /usr/bin/checkbashisms ]; \
 	then \
-		checkbashisms functions.sh functions/* examples/*/*.sh helpers/* hooks/*; \
+		checkbashisms live-helper.sh functions/* examples/*/*.sh helpers/* hooks/*; \
 	else \
 		echo "WARNING: skipping bashism test - you need to install devscripts."; \
 	fi
@@ -25,13 +25,13 @@
 	@echo "Nothing to build."
 
 install:
+	# Installing shared data
+	mkdir -p $(DESTDIR)/usr/share/live-helper
+	cp -r data examples live-helper.sh functions helpers hooks includes lists templates $(DESTDIR)/usr/share/live-helper
+
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	cp helpers/* $(DESTDIR)/usr/bin
-
-	# Installing shared data
-	mkdir -p $(DESTDIR)/usr/share/live-helper
-	cp -r data examples functions.sh functions hooks includes lists templates $(DESTDIR)/usr/share/live-helper
+	mv $(DESTDIR)/usr/share/live-helper/helpers/lh $(DESTDIR)/usr/share/live-helper/helpers/live-helper $(DESTDIR)/usr/bin
 
 	# Installing documentation
 	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
@@ -64,14 +64,11 @@
 	mkdir -p $(DESTDIR)/var/log
 
 uninstall:
-	# Uninstalling executables
-	for HELPER in helpers/*; \
-	do \
-		rm -f $(DESTDIR)/usr/bin/$$(basename $$HELPER); \
-	done
-
 	# Uninstalling shared data
 	rm -rf $(DESTDIR)/usr/share/live-helper
+
+	# Uninstalling executables
+	rm -f $(DESTDIR)/usr/bin/lh $(DESTDIR)/usr/bin/live-helper
 
 	# Uninstalling documentation
 	rm -rf $(DESTDIR)/usr/share/doc/live-helper

## live-helper 2.0~a9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 test:
 	# Checking for syntax errors
-	for SCRIPT in live-helper.sh functions/* examples/*/*.sh helpers/* hooks/*; \
+	for SCRIPT in live-helper.sh cgi/* functions/* examples/*/*.sh helpers/* hooks/*; \
 	do \
 		sh -n $$SCRIPT; \
 	done
@@ -27,7 +27,7 @@
 install:
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live-helper
-	cp -r data examples live-helper.sh functions helpers hooks includes lists templates $(DESTDIR)/usr/share/live-helper
+	cp -r cgi data examples live-helper.sh functions helpers hooks includes lists templates $(DESTDIR)/usr/share/live-helper
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin

=== cgi/Makefile ===
# Makefile

install:
	install -D -m 0755 cgi $(DESTDIR)/usr/lib/cgi-bin/live-helper
	install -D -m 0755 cron $(DESTDIR)/etc/cron.d/live-helper.cgi
	install -D -m 0644 default $(DESTDIR)/etc/default/live-helper.cgi
	install -D -m 0644 logrotate $(DESTDIR)/etc/logrotate.d/live-helper.cgi

	install -d -m 0755 $(DESTDIR)/var/log
	touch $(DESTDIR)/var/log/live
	chown www-data:www-data $(DESTDIR)/var/log/live
